<mat-sidenav-container autosize class="maarch-container">
    <mat-sidenav-content>
        <div class="bg-head">
            <div class="bg-head-title" [class.customContainerRight]="appService.getViewMode()">
                <div class="bg-head-title-label">
                    <header-left></header-left>
                </div>
                <div class="bg-head-title-tool">
                    <header-right></header-right>
                </div>
            </div>
            <div class="bg-head-content" [class.fullContainer]="appService.getViewMode()">
            </div>
        </div>
        <div class="container" [class.fullContainer]="appService.getViewMode()">
            <div class="container-content">
                <div *ngIf="loading" style="display:flex;height:100%;">
                    <mat-spinner style="margin:auto;"></mat-spinner>
                </div>
                <mat-card *ngIf="!loading" class="card-app-content">
                    <div *ngIf="!shippingAvailable" class="alert-message alert-message-danger" role="alert" [innerHTML]="lang.shippingUnavailable" style="max-width: 100%">
                    </div>

                    <form class="form-horizontal" (ngSubmit)="onSubmit()" #shippingForm="ngForm">
                        <div class="form-group">
                            <div class="col-sm-12">
                                <mat-form-field>
                                    <input matInput [(ngModel)]="shipping.label" required name="label" id="label" title="{{lang.label}}"
                                           type="text" placeholder="{{lang.label}}" maxlength="64">
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-12">
                                <mat-form-field>
                                    <input matInput [(ngModel)]="shipping.description" required name="description" id="description"
                                           title="{{lang.description}}" type="text" placeholder="{{lang.description}}"
                                           maxlength="255">
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="form-group" style="flex-direction: row; flex-wrap: wrap;">
                            <div class="formType ratio-2 col-sm-12">
                                <div class="formType-title">
                                    {{lang.shapingOptions}}
                                </div>
                                <mat-list role="list">
                                    <mat-list-item role="listitem" *ngFor="let option of shapingOptions">
                                        <mat-slide-toggle color="primary" name="{{option}}" [checked]="shipping.options.shapingOptions.indexOf(option) > -1"
                                                          (change)="toggleShapingOption(option)">{{lang['maileva_'+option]}}</mat-slide-toggle>
                                    </mat-list-item>
                                    <div *ngIf="shipping.options.shapingOptions.indexOf('addressPage') == -1" class="alert-message alert-message-danger" role="alert" style="margin-top: 30px;max-width: none;" [innerHTML]="lang.warnShapingOption"></div>
                                </mat-list>
                            </div>
                            <div class="formType ratio-1 col-sm-12">
                                <div class="formType-title">
                                    {{lang.sendModes}}
                                </div>
                                <mat-radio-group class="radio-group" name="sendMode" [(ngModel)]="shipping.options.sendMode">
                                    <mat-radio-button *ngFor="let mode of sendModes" name="{{mode}}" [value]="mode" color="primary">
                                        {{lang['maileva_'+mode]}}
                                    </mat-radio-button>
                                </mat-radio-group>
                            </div>
                        </div>
                        <div class="form-group" style="flex-direction: row; flex-wrap: wrap;">
                            <div class="formType ratio-2" style="flex-direction: column;">
                                <div class="formType-title">
                                    {{lang.pricesInformations}}
                                </div>
                                <div class="priceContent">
                                    <label class="priceContent-label" for="firstPagePrice">
                                        {{lang.maileva_firstPagePrice}}
                                    </label>
                                    <mat-form-field appearance="outline">
                                        <input matInput [(ngModel)]="shipping.fee.firstPagePrice" required name="firstPagePrice"
                                               id="firstPagePrice" title="{{lang.maileva_firstPagePrice}}" type="number"
                                               maxlength="255" min="0" step="0.1" pattern="^(?=.+)(?:[1-9]\d*|0)?(?:\.\d+)?$">
                                        <span matSuffix>&nbsp;€</span>
                                    </mat-form-field>
                                </div>
                                <div class="priceContent">
                                    <label class="priceContent-label" for="nextPagePrice">
                                        {{lang.maileva_nextPagePrice}}
                                    </label>
                                    <mat-form-field appearance="outline">
                                        <input matInput [(ngModel)]="shipping.fee.nextPagePrice" required name="nextPagePrice"
                                               id="nextPagePrice" title="{{lang.maileva_nextPagePrice}}" type="number"
                                               maxlength="255" min="0" step="0.1" pattern="^(?=.+)(?:[1-9]\d*|0)?(?:\.\d+)?$">
                                        <span matSuffix>&nbsp;€</span>
                                    </mat-form-field>
                                </div>
                                <div class="priceContent">
                                    <label class="priceContent-label" for="postagePrice">
                                        {{lang.maileva_postagePrice}}
                                    </label>
                                    <mat-form-field appearance="outline">
                                        <input matInput [(ngModel)]="shipping.fee.postagePrice" required name="postagePrice"
                                               id="postagePrice" title="{{lang.maileva_postagePrice}}" type="number"
                                               maxlength="255" min="0" step="0.1" pattern="^(?=.+)(?:[1-9]\d*|0)?(?:\.\d+)?$">
                                        <span matSuffix>&nbsp;€</span>
                                    </mat-form-field>
                                </div>
                            </div>
                            <div class="formType ratio-1" style="flex-direction: column; justify-content: center;">
                                <div class="formType-title">
                                    {{lang.mailevaAccount}}
                                </div>
                                <div class="alert-message alert-message-info" style="max-width: none;">{{lang.infoMailevaAccount}}</div>
                                <div class="col-sm-12">
                                    <mat-form-field>
                                        <input matInput [(ngModel)]="shipping.account.id" required name="login" id="login"
                                               title="{{lang.login}}" type="text" placeholder="{{lang.id}}" maxlength="255">
                                    </mat-form-field>
                                </div>
                                <div class="col-sm-12">
                                    <mat-form-field>
                                        <input name="password" [type]="hidePassword ? 'password' : 'text'" [(ngModel)]="shipping.account.password"
                                               matInput [placeholder]="creationMode === false ? this.lang.passwordModification : this.lang.password" [required]="creationMode">
                                        <mat-icon color="primary" style="cursor: pointer;" matSuffix (click)="hidePassword = !hidePassword" maxlength="255"
                                                  class="fa fa-2x" [ngClass]="[hidePassword ? 'fa-eye-slash' : 'fa-eye']"></mat-icon>
                                    </mat-form-field>
                                </div>
                            </div>
                        </div>

                        <div class="form-group" style="flex-direction: row; align-items: center">
                            <div class="col-sm-12 text-center" style="padding:10px;">
                                <button mat-raised-button type="submit" color="primary" [disabled]="checkModif() || !shippingForm.valid">{{lang.validate}}</button>
                                <button mat-raised-button type="button" color="default" [disabled]="checkModif()" (click)="cancelModification()">{{lang.cancel}}</button>
                            </div>
                        </div>
                    </form>
                </mat-card>
            </div>
        </div>
    </mat-sidenav-content>

    <mat-sidenav #snav2 [mode]="appService.getViewMode() ? 'over' : 'side'" [fixedInViewport]="appService.getViewMode()"
                 fixedTopGap="56" position='end' [opened]="!appService.getViewMode()" style="overflow-x:hidden;width:400px;">
        <mat-list>
            <h3 mat-subheader>{{lang.chooseEntityAssociationModel}}</h3>
            <div style="padding:10px;">
                <mat-form-field>
                    <input matInput id="jstree_search" name="jstree_search" type="text" placeholder="{{lang.searchEntities}}">
                </mat-form-field>
                <div id="jstree"></div>
            </div>
        </mat-list>
    </mat-sidenav>
</mat-sidenav-container>
